'''
/** Original work Copyright 2024 damiano IU3QGD
 * https://to-be-defined
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *     Unless required by applicable law or agreed to in writing, software
 *     distributed under the License is distributed on an "AS IS" BASIS,
 *     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *     See the License for the specific language governing permissions and
 *     limitations under the License.
 */
'''
# ------------------------------------------------
# this just allocate the main container that will be filled while the system starts
# NOTE: classes in this file will see this var directly BUT this is NOT true for other files..

from __future__ import annotations

import time

from app_config import AppConfig
from qpystat import Qpystat
from qsk5_gui import NewAppGuiThread


stat = Qpystat()

# configuration is the first one
stat.appconfig = AppConfig("qpyapp_config.json")

# The GUI is first, since it is normally used to work
stat.appguithread = NewAppGuiThread(stat)
stat.appguithread.start()

# needed otherwise python will think it has to die, crap python
while True:
    time.sleep(1)

print ("END Main Thread")

