from __future__ import annotations

'''
/** Original work Copyright 2024 damiano IU3QGD
 * https://to-be-defined
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *     Unless required by applicable law or agreed to in writing, software
 *     distributed under the License is distributed on an "AS IS" BASIS,
 *     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *     See the License for the specific language governing permissions and
 *     limitations under the License.

should put all chunk id here
ok, so, the following are the chunk id on the SERIAL datachannel
they are UNIQUE to IPP since there is a magic work at the beginning to differentiate from quansheng
also, NOTHING is sent on the serial unless polled 

An issue is to simplify the logic
What I wish is for radio stream to be directly txable to serial port, meaning with as little work as possible
the radio stream should have the usual two bytes len at the beginning and a series of chunks
to be sendable UP to router the chunks MUST be IPP chunks

therefore.... the chunks on radio MUST conform to IPP
therefore the "messanger" in quansheng MUST conform to IPP chunk, under a "special" protocol
meaning chunkid special protocol and subtype whatever....


@author: damiano
'''

IPPU_sendqsmsg_reqid=2

IPPU_scan_loudest_reqid=4

IPPU_sendbuf_reqid=6

IPPU_senddtmf16_reqid=11

IPPU_radiocfg_reqid=14
IPPU_radiocfg_resid=16

IPPU_pollpending_reqid=18

IPPU_pollprintf_resid=20

IPPU_polldtmf16_resid=23

IPPU_pollradiostat_resid=24
IPPU_pollqsmsg_resid=26

IPPU_ident_reqid=28
IPPU_ident_resid=30

IPPU_generic_resid=32

IPPU_systemcmd_reqid=36

IPPU_scan_loudest_resid=38

IPPU_res_counters16=41

IPPU_req_spectrum=42

IPPU_res_spectrum16=43

IPPU_req_eeprom=44

IPPU_res_eeprom=46


