#!/bin/bash

rm /tmp/Chirp*.html
#wget -c "https://archive.chirpmyradio.com/download?stream=next" -O /tmp/Chirp-next.html
wget  --user-agent="Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/92.0.4515.159 Safari/537.36" "https://httpbin.io/user-agent" --keep-session-cookies --save-cookies cookies.txt -c "https://archive.chirpmyradio.com/chirp_next/" -O /tmp/Chirp-LAST.html

LAST=$(cat /tmp/Chirp-LAST.html | tr ' ' '\n' | grep "href=\"next"  | head -n1 | cut -d '"' -f2)
echo $LAST=$LAST

sleep 5
wget  --user-agent="Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/92.0.4515.159 Safari/537.36" "https://httpbin.io/user-agent"  --keep-session-cookies --save-cookies cookies.txt -c https://archive.chirpmyradio.com/chirp_next/$LAST -O /tmp/Chirp-next.html
#wget -c https://archive.chirpmyradio.com/chirp_next/next-20240419/ -O /tmp/Chirp-next.html

WHL=$(cat /tmp/Chirp-next.html | grep ".whl" | tr ' ' '\n' | grep "href=" | cut -d '"' -f2)

echo WHL=$WHL

FOLDER=$(echo $WHL | sed 's|-py3-none-any.whl||' | sed 's|chirp|next|')
echo FOLDER=$FOLDER

URL="https://archive.chirpmyradio.com/chirp_next/$FOLDER/$WHL"
echo "$URL"
echo "https://archive.chirpmyradio.com/chirp_next/next-20240410/chirp-20240410-py3-none-any.whl"

sudo apt remove chirp -y
sudo apt install git python3-wxgtk4.0 python3-serial python3-six python3-future python3-requests python3-pip -y

sudo apt install pipx -y

wget  --user-agent="Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/92.0.4515.159 Safari/537.36" "https://httpbin.io/user-agent" --keep-session-cookies --save-cookies cookies.txt -c $URL

pipx uninstall chirp
pipx install --system-site-packages ./$WHL 2>/dev/null
#pipx install --upgrade --system-site-packages ./$WHL  2>/dev/null

rm /tmp/Chirp-next.html

chirp

LANG=$(locale | grep "LANG=" | tr '.' '=' | cut -d '=' -f2)

if [ "$LANG" = "es_ES" ]; then
    echo "Si te lo pide, dile de crear el enlace al escritorio"
fi

if [ "$LANG" = "it_IT" ]; then
    echo "Se te lo chiede, digli di creare il collegamento al desktop"
fi



